Halide 22.0.0 Halide compiler and libraries

Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::Let Struct Reference

A let expression, like you might find in a functional language. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Let:

## Static Public Member Functions
static Expr | make (const std::string &name, Expr value, Expr body)

## Public Attributes
std::string | name
Expr | value
Expr | body
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count. More...
IRNodeType | node_type
| Each IR node subclass has a unique identifier. More...

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::Let

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< Let >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
virtual Expr | mutate_expr (IRMutator *v) const =0
Public Member Functions inherited from Halide::Internal::IRNode
virtual void | accept (IRVisitor *v) const =0
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

A let expression, like you might find in a functional language.

Within the expression Let::body, instances of the Var node Let::name refer to Let::value.

Definition at line 281 of file IR.h.

## Member Function Documentation

## ◆ make()

static Expr Halide::Internal::Let::make | ( | const std::string & | name,
|  | Expr | value,
|  | Expr | body
| ) |  |
| static

## Member Data Documentation

## ◆ name

std::string Halide::Internal::Let::name

Definition at line 282 of file IR.h.

## ◆ value

Expr Halide::Internal::Let::value

Definition at line 283 of file IR.h.

## ◆ body

Expr Halide::Internal::Let::body

Definition at line 283 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::Let::_node_type = IRNodeType::Let
| static

Definition at line 287 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h